package cz.frantovo.nekurak.ejb;

import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author fiki
 */
@Stateless
public class PodnikHibernateDAO implements PodnikHibernateDAORemote {

    private static final String PU = "nekurak.net-PU";

    @PersistenceContext(unitName = PU)
    private EntityManager em;

    public Collection<Podnik> getPodniky() {
	Query dotaz = em.createQuery("FROM " + t(Podnik.class) + " o ORDER BY nazev");
        return dotaz.getResultList();
    }

    
    private static String t(Class trida) {
        return trida.getSimpleName();
    }
}
